package ru.esc.btqckcmd.service;

public interface IRemoteEngine {

	/**
	 * Error connecting to remote bluetooth device using SDP.
	 * 
	 * @param error
	 *            - error message.
	 */
	public void onConnectionError(String error);

	/**
	 * Remote bluetooth device connected using SDP.
	 */
	public void onConnected();

	/**
	 * Error occured on remote bluetooth device while processing command.
	 * 
	 * @param error
	 *            - error message from remote device.
	 */
	public void onCommandError(String error);

	/**
	 * Message received from remote bluetooth device.
	 * 
	 * @param message
	 *            - message from remote device.
	 */
	public void onIncomingMessage(String message);

	/**
	 * Remote bluetooth device disconnected.
	 */
	public void onDisconnected();
}
